FESETROUND(3)

NAME
fesetround - set current rounding direction

SYNOPSIS

#include <fenv.h>

int fesetround(int round);

DESCRIPTION

This method attempts to set the current rounding direction represented by round. round must be the value of one of the rounding-direction macros.

RETURNS

If the rounding mode was successfully established, this method returns zero. Otherwise, a non-zero value is returned.

PORTABILITY

ANSI C requires fesetround.

Not all Newlib targets have a working implementation. Refer to the file sys/fenv.h to see the status for your target.